local COMBAT_EVENTS = {
	["SWING_DAMAGE"] = "DAMAGE",
	["RANGE_DAMAGE"] = "DAMAGE",
	["SPELL_DAMAGE"] = "DAMAGE",
	["SPELL_PERIODIC_DAMAGE"] = "DAMAGE",
	["ENVIRONMENTAL_DAMAGE"] = "DAMAGE",
	["DAMAGE_SHIELD"] = "DAMAGE",
	["DAMAGE_SPLIT"] = "DAMAGE",
	["SPELL_HEAL"] = "HEAL",
	["SPELL_PERIODIC_HEAL"] = "HEAL",
	["SWING_MISSED"] = "MISS",
	["RANGE_MISSED"] = "MISS",
	["SPELL_MISSED"] = "MISS",
	["SPELL_PERIODIC_MISSED"] = "MISS",
	["DAMAGE_SHIELD_MISSED"] = "MISS",
	["SPELL_DRAIN"] = "DRAIN",
	["SPELL_LEECH"] = "DRAIN",
	["SPELL_PERIODIC_DRAIN"] = "DRAIN",
	["SPELL_PERIODIC_LEECH"] = "DRAIN",
	["SPELL_ENERGIZE"] = "POWER",
	["SPELL_PERIODIC_ENERGIZE"] = "POWER",
	["SPELL_INTERRUPT"] = "INTERRUPT",
	["PARTY_KILL"] = "DEATH",
	["UNIT_DIED"] = "DEATH",
	["UNIT_DESTROYED"] = "DEATH",
	["SPELL_AURA_REFRESH"] = "BUFF",
	["SPELL_AURA_APPLIED"] = "BUFF",
	["SPELL_PERIODIC_AURA_REFRESH"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED"] = "BUFF",
	["SPELL_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_AURA_REMOVED"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED"] = "FADE",
	["SPELL_AURA_REMOVED_DOSE"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED_DOSE"] = "FADE",
	["ENCHANT_APPLIED"] = "ENCHANT_APPLIED",
	["ENCHANT_REMOVED"] = "ENCHANT_REMOVED",
	["SPELL_SUMMON"] = "SUMMON",
	["SPELL_CREATE"] = "SUMMON",
	["SPELL_CAST_SUCCESS"] = "SUCCESS",
	["SPELL_CAST_START"] = "SPELLSTART",
}

function pootpoot:ParseRogueCombat(arg1, timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, ...)
	local etype = COMBAT_EVENTS[event]
	local healtot, healamt, parent
	local amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing
	local spellId, spellName, spellSchool, missType, powerType, extraAmount, environmentalType, extraSpellId, extraSpellName, extraSpellSchool, auraType, overHeal
	local text, texture, message, inout, color

	if not self.db.profile.enabled then
		return
	end

	if zoneenable == false then
		return
	end

  	if not etype then
  		return
  	end

	local fromPlayer, fromPet
	if (sourceName and not CombatLog_Object_IsA(sourceFlags, COMBATLOG_OBJECT_NONE) ) then
		fromPlayer = CombatLog_Object_IsA(sourceFlags, COMBATLOG_FILTER_MINE)
	end
	if (destName and not CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_NONE) ) then
		toPlayer = CombatLog_Object_IsA(destFlags, COMBATLOG_FILTER_MINE)
		toTarget = CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_TARGET)
	end

	--if not from player or pet, then end
	if fromPlayer then
		if etype == "DAMAGE" then
			if event == "SWING_DAMAGE" then
				amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
			else
				spellId, spellName, spellSchool, amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
			text = tostring(amount)
			if event == "SPELL_DAMAGE" then
				if spellName == "Sinister Strike" then
					if (self.db.profile.sinisterstriketgl) then
						if (self.db.profile.sinisterstrikecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.sinisterstrikechance*100)) then
									self:DispPootMsg( self.db.profile.sinisterstrike, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.sinisterstrikechance*100)) then
							self:DispPootMsg( self.db.profile.sinisterstrike, "SAY" )
						end
					end
				elseif spellName == "Hemorrhage" then
					if (self.db.profile.hemorrhagetgl) then
						if (self.db.profile.hemorrhagecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.hemorrhagechance*100)) then
									self:DispPootMsg( self.db.profile.hemorrhage, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.hemorrhagechance*100)) then
							self:DispPootMsg( self.db.profile.hemorrhage, "SAY" )
						end
					end
				elseif spellName == "Eviscerate" then
					if (self.db.profile.evisceratetgl) then
						if (self.db.profile.evisceratecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.evisceratechance*100)) then
									self:DispPootMsg( self.db.profile.eviscerate, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.evisceratechance*100)) then
							self:DispPootMsg( self.db.profile.eviscerate, "SAY" )
						end
					end
				elseif spellName == "Deadly Throw" then
					if (self.db.profile.deadlythrowtgl) then
						if (self.db.profile.deadlythrowcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.deadlythrowchance*100)) then
									self:DispPootMsg( self.db.profile.deadlythrow, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.deadlythrowchance*100)) then
							self:DispPootMsg( self.db.profile.deadlythrow, "SAY" )
						end
					end
				elseif spellName == "Backstab" then
					if (self.db.profile.backstabtgl) then
						if (self.db.profile.backstabcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.backstabchance*100)) then
									self:DispPootMsg( self.db.profile.backstab, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.backstabchance*100)) then
							self:DispPootMsg( self.db.profile.backstab, "SAY" )
						end
					end
				elseif spellName == "Ambush" then
					if (self.db.profile.ambushtgl) then
						if (self.db.profile.ambushcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.ambushchance*100)) then
									self:DispPootMsg( self.db.profile.ambush, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.ambushchance*100)) then
							self:DispPootMsg( self.db.profile.ambush, "SAY" )
						end
					end
				elseif spellName == "Mutilate" then
					if (self.db.profile.mutilatetgl) then
						if (self.db.profile.mutilatecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.mutilatechance*100)) then
									self:DispPootMsg( self.db.profile.mutilate, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.mutilatechance*100)) then
							self:DispPootMsg( self.db.profile.mutilate, "SAY" )
						end
					end
				elseif spellName == "Envenom" then
					if (self.db.profile.envenomtgl) then
						if (self.db.profile.envenomcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.envenomchance*100)) then
									self:DispPootMsg( self.db.profile.envenom, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.envenomchance*100)) then
							self:DispPootMsg( self.db.profile.envenom, "SAY" )
						end
					end
				end
			end
		elseif etype == "SUCCESS" then
			if event == "SPELL_CAST_SUCCESS" then
				spellId, spellName, spellSchool = select(1, ...)
				if spellName == "Rupture" then
					if (self.db.profile.rupturetgl) then
						if (math.random(100) <= (self.db.profile.rupturechance*100)) then
							self:DispPootMsg( self.db.profile.rupture, "SAY" )
						end
					end
				elseif spellName == "Slice and Dice" then
					if (self.db.profile.sliceanddicetgl) then
						if (math.random(100) <= (self.db.profile.sliceanddicechance*100)) then
							self:DispPootMsg( self.db.profile.sliceanddice, "SAY" )
						end
					end
				elseif spellName == "Kidney Shot" then
					if (self.db.profile.kidneyshottgl) then
						if (math.random(100) <= (self.db.profile.kidneyshotchance*100)) then
							self:DispPootMsg( self.db.profile.kidneyshot, "SAY" )
						end
					end
				elseif spellName == "Gouge" then
					if (self.db.profile.gougetgl) then
						if (math.random(100) <= (self.db.profile.gougechance*100)) then
							self:DispPootMsg( self.db.profile.gouge, "SAY" )
						end
					end
				elseif spellName == "Shiv" then
					if (self.db.profile.shivtgl) then
						if (math.random(100) <= (self.db.profile.shivchance*100)) then
							self:DispPootMsg( self.db.profile.shiv, "SAY" )
						end
					end
				elseif spellName == "Blind" then
					if (self.db.profile.blindtgl) then
						if (math.random(100) <= (self.db.profile.blindchance*100)) then
							self:DispPootMsg( self.db.profile.blind, "SAY" )
						end
					end
				elseif spellName == "Feint" then
					if (self.db.profile.feinttgl) then
						if (math.random(100) <= (self.db.profile.feintchance*100)) then
							self:DispPootMsg( self.db.profile.feint, "SAY" )
						end
					end
				elseif spellName == "Shadowstep" then
					if (self.db.profile.shadowsteptgl) then
						if (math.random(100) <= (self.db.profile.shadowstepchance*100)) then
							self:DispPootMsg( self.db.profile.shadowstep, "SAY" )
						end
					end
				elseif spellName == "Garrote" then
					if (self.db.profile.garrotetgl) then
						if (math.random(100) <= (self.db.profile.garrotechance*100)) then
							self:DispPootMsg( self.db.profile.garrote, "SAY" )
						end
					end
				elseif spellName == "Cheap Shot" then
					if (self.db.profile.cheapshottgl) then
						if (math.random(100) <= (self.db.profile.cheapshotchance*100)) then
							self:DispPootMsg( self.db.profile.cheapshot, "SAY" )
						end
					end
				elseif spellName == "Blade Flurry" then
					if (self.db.profile.bladeflurrytgl) then
						if (math.random(100) <= (self.db.profile.bladeflurrychance*100)) then
							self:DispPootMsg( self.db.profile.bladeflurry, "SAY" )
						end
					end
				elseif spellName == "Cloak of Shadows" then
					if (self.db.profile.cloakofshadowstgl) then
						if not (self.db.profile.cloakofshadowspvp) then
							if (inpvpzone) then
								return
							end
						end
						if (math.random(100) <= (self.db.profile.cloakofshadowschance*100)) then
							self:DispPootMsg( self.db.profile.cloakofshadows, "SAY" )
						end
					end
				elseif spellName == "Vanish" then
					if (self.db.profile.vanishtgl) then
						if not (self.db.profile.vanishpvp) then
							if (inpvpzone) then
								return
							end
						end
						if (math.random(100) <= (self.db.profile.vanishchance*100)) then
							self:DispPootMsg( self.db.profile.vanish, "SAY" )
						end
					end
				elseif spellName == "Hunger for Blood" then
					if (self.db.profile.hungerforbloodtgl) then
						if (math.random(100) <= (self.db.profile.hungerforbloodchance*100)) then
							self:DispPootMsg( self.db.profile.hungerforblood, "SAY" )
						end
					end
				elseif spellName == "Killing Spree" then
					if (self.db.profile.killingspreetgl) then
						if (math.random(100) <= (self.db.profile.killingspreechance*100)) then
							self:DispPootMsg( self.db.profile.killingspree, "SAY" )
						end
					end
				elseif spellName == "Shadow Dance" then
					if (self.db.profile.shadowdancetgl) then
						if (math.random(100) <= (self.db.profile.shadowdancechance*100)) then
							self:DispPootMsg( self.db.profile.shadowdance, "SAY" )
						end
					end
				end
			end
		elseif etype == "MISS" then
			if event == "SPELL_MISSED" then
				spellId, spellName, spellSchool, missType, amountMissed  = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		elseif etype == "SPELLSTART" then
			if event == "SPELL_CAST_START" then
				spellId, spellName, spellSchool = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		elseif etype == "BUFF" then
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
		if etype == "POWER" then
			--if event == "SPELL_ENERGIZE" then
			--	spellId, spellName, spellSchool, amount, powerType = select(1, ...)
			--	texture = select(3, GetSpellInfo(spellId))
			--end
		end
	elseif toPlayer then
		if etype == "BUFF" then
			if event == "SPELL_AURA_REFRESH" then
			end
		end
	end
	if fromPlayer and toTarget then
		if destName then -- REDUNDANT?
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
	end
end