local COMBAT_EVENTS = {
	["SWING_DAMAGE"] = "DAMAGE",
	["RANGE_DAMAGE"] = "DAMAGE",
	["SPELL_DAMAGE"] = "DAMAGE",
	["SPELL_PERIODIC_DAMAGE"] = "DAMAGE",
	["ENVIRONMENTAL_DAMAGE"] = "DAMAGE",
	["DAMAGE_SHIELD"] = "DAMAGE",
	["DAMAGE_SPLIT"] = "DAMAGE",
	["SPELL_HEAL"] = "HEAL",
	["SPELL_PERIODIC_HEAL"] = "HEAL",
	["SWING_MISSED"] = "MISS",
	["RANGE_MISSED"] = "MISS",
	["SPELL_MISSED"] = "MISS",
	["SPELL_PERIODIC_MISSED"] = "MISS",
	["DAMAGE_SHIELD_MISSED"] = "MISS",
	["SPELL_DRAIN"] = "DRAIN",
	["SPELL_LEECH"] = "DRAIN",
	["SPELL_PERIODIC_DRAIN"] = "DRAIN",
	["SPELL_PERIODIC_LEECH"] = "DRAIN",
	["SPELL_ENERGIZE"] = "POWER",
	["SPELL_PERIODIC_ENERGIZE"] = "POWER",
	["SPELL_INTERRUPT"] = "INTERRUPT",
	["PARTY_KILL"] = "DEATH",
	["UNIT_DIED"] = "DEATH",
	["UNIT_DESTROYED"] = "DEATH",
	["SPELL_AURA_REFRESH"] = "BUFF",
	["SPELL_AURA_APPLIED"] = "BUFF",
	["SPELL_PERIODIC_AURA_REFRESH"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED"] = "BUFF",
	["SPELL_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_AURA_REMOVED"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED"] = "FADE",
	["SPELL_AURA_REMOVED_DOSE"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED_DOSE"] = "FADE",
	["ENCHANT_APPLIED"] = "ENCHANT_APPLIED",
	["ENCHANT_REMOVED"] = "ENCHANT_REMOVED",
	["SPELL_SUMMON"] = "SUMMON",
	["SPELL_CREATE"] = "SUMMON",
	["SPELL_CAST_SUCCESS"] = "SUCCESS",
	["SPELL_CAST_START"] = "SPELLSTART",
}

function pootpoot:ParseWarriorCombat(arg1, timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, ...)
	local etype = COMBAT_EVENTS[event]
	local healtot, healamt, parent
	local amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing
	local spellId, spellName, spellSchool, missType, powerType, extraAmount, environmentalType, extraSpellId, extraSpellName, extraSpellSchool, auraType, overHeal
	local text, texture, message, inout, color

	if not self.db.profile.enabled then
		return
	end

	if zoneenable == false then
		return
	end

  	if not etype then
  		return
  	end

	local fromPlayer, fromPet
	if (sourceName and not CombatLog_Object_IsA(sourceFlags, COMBATLOG_OBJECT_NONE) ) then
		fromPlayer = CombatLog_Object_IsA(sourceFlags, COMBATLOG_FILTER_MINE)
	end
	if (destName and not CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_NONE) ) then
		toPlayer = CombatLog_Object_IsA(destFlags, COMBATLOG_FILTER_MINE)
		toTarget = CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_TARGET)
	end

	--if not from player or pet, then end
	if fromPlayer then
		if etype == "DAMAGE" then
			if event == "SWING_DAMAGE" then
				amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
			else
				spellId, spellName, spellSchool, amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
			text = tostring(amount)
			if event == "SPELL_DAMAGE" then
				if spellName == "Execute" then
					if (self.db.profile.executetgl) then
						if (self.db.profile.executecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.executechance*100)) then
									self:DispPootMsg( self.db.profile.execute, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.executechance*100)) then
							self:DispPootMsg( self.db.profile.execute, "SAY" )
						end
					end
				elseif spellName == "Mortal Strike" then
					if (self.db.profile.mortalstriketgl) then
						if (self.db.profile.mortalstrikecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.mortalstrikechance*100)) then
									self:DispPootMsg( self.db.profile.mortalstrike, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.mortalstrikechance*100)) then
							self:DispPootMsg( self.db.profile.mortalstrike, "SAY" )
						end
					end
				elseif spellName == "Bloodthirst" then
					if (self.db.profile.bloodthirsttgl) then
						if (self.db.profile.bloodthirstcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.bloodthirstchance*100)) then
									self:DispPootMsg( self.db.profile.bloodthirst, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.bloodthirstchance*100)) then
							self:DispPootMsg( self.db.profile.bloodthirst, "SAY" )
						end
					end
				elseif spellName == "Shield Slam" then
					if (self.db.profile.shieldslamtgl) then
						if (self.db.profile.shieldslamcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.shieldslamchance*100)) then
									self:DispPootMsg( self.db.profile.shieldslam, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.shieldslamchance*100)) then
							self:DispPootMsg( self.db.profile.shieldslam, "SAY" )
						end
					end
				elseif spellName == "Devastate" then
					if (self.db.profile.devastatetgl) then
						if (self.db.profile.devastatecrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.devastatechance*100)) then
									self:DispPootMsg( self.db.profile.devastate, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.devastatechance*100)) then
							self:DispPootMsg( self.db.profile.devastate, "SAY" )
						end
					end
				elseif spellName == "Colossus Smash" then
					if (self.db.profile.colossussmashtgl) then
						if (self.db.profile.colossussmashcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.colossussmashchance*100)) then
									self:DispPootMsg( self.db.profile.colossussmash, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.colossussmashchance*100)) then
							self:DispPootMsg( self.db.profile.colossussmash, "SAY" )
						end
					end
				end
			end
		elseif etype == "SUCCESS" then
			if event == "SPELL_CAST_SUCCESS" then
				spellId, spellName, spellSchool = select(1, ...)
				if spellName == "Charge" or spellName == "Intercept" or spellName == "Intervene" then
					if (self.db.profile.chargetgl) then
						if (math.random(100) <= (self.db.profile.chargechance*100)) then
							self:DispPootMsg( self.db.profile.charge, "SAY" )
						end
					end
				elseif spellName == "Taunt" then
					if (self.db.profile.taunttgl) then
						if (math.random(100) <= (self.db.profile.tauntchance*100)) then
							self:DispPootMsg( self.db.profile.taunt, "SAY" )
						end
					end
				elseif spellName == "Bladestorm" then
					if (self.db.profile.bladestormtgl) then
						if (math.random(100) <= (self.db.profile.bladestormchance*100)) then
							self:DispPootMsg( self.db.profile.bladestorm, "SAY" )
						end
					end
				elseif spellName == "Shockwave" then
					if (self.db.profile.shockwavetgl) then
						if (math.random(100) <= (self.db.profile.shockwavechance*100)) then
							self:DispPootMsg( self.db.profile.shockwave, "SAY" )
						end
					end
				elseif spellName == "Heroic Leap" then
					if (self.db.profile.heroicleaptgl) then
						if (math.random(100) <= (self.db.profile.heroicleapchance*100)) then
							self:DispPootMsg( self.db.profile.heroicleap, "SAY" )
						end
					end
				end
			end
		elseif etype == "MISS" then
			if event == "SPELL_MISSED" then
				spellId, spellName, spellSchool, missType, amountMissed  = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
				if spellName == "Taunt" then
					if (self.db.profile.tauntresisttgl) and not (missType == "IMMUNE") and not (missType == "EVADE") then
						self:DispPootMsg( self.db.profile.tauntresist, "SAY" )
					end
				end
			end
		elseif etype == "SPELLSTART" then
			if event == "SPELL_CAST_START" then
				spellId, spellName, spellSchool = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		elseif etype == "BUFF" then
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
				if spellName == "Rampage" then
					if (self.db.profile.rampagetgl) then
						if (math.random(100) <= (self.db.profile.rampagechance*100)) then
							self:DispPootMsg( self.db.profile.rampage, "SAY" )
						end
					end
				end
			end
		end
		if etype == "POWER" then
			--if event == "SPELL_ENERGIZE" then
			--	spellId, spellName, spellSchool, amount, powerType = select(1, ...)
			--	texture = select(3, GetSpellInfo(spellId))
			--end
		end
	elseif toPlayer then
		if etype == "BUFF" then
			if event == "SPELL_AURA_REFRESH" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
				
				--if spellName == "Rampage" then
				--	if (self.db.profile.rampagetgl) then
				--		if (math.random(100) <= (self.db.profile.rampagechance*100)) then
				--			self:DispPootMsg( self.db.profile.rampage, "SAY" )
				--		end
				--	end
				--end
			end
		end
	end
	if fromPlayer and toTarget then
		if destName then -- REDUNDANT?
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
	end
end