local pootpoot = LibStub("AceAddon-3.0"):GetAddon("pootpoot")

local defaults = {
	profile = {
		enabled = true,
		showMinimap = true,	-- Minimap Icon
		minimapPos = 0,
		minimapDist = 12,
		charge = "Charge!",	-- Warrior Spells
		chargetgl = true,
		chargechance = 1,
		execute = "Execute!",
		executetgl = true,
		executecrit = true,
		executechance = 1,
		mortalstrike = "Mortal Strike!",
		mortalstriketgl = true,
		mortalstrikecrit = true,
		mortalstrikechance = 1,
		bloodthirst = "Bloodthirst!",
		bloodthirsttgl = true,
		bloodthirstcrit = true,
		bloodthirstchance = 1,
		rampage = "Rampage!",
		rampagetgl = true,
		rampagechance = 1,
		shieldslam = "Shield Slam!",
		shieldslamtgl = true,
		shieldslamcrit = true,
		shieldslamchance = 1,
		taunt = "Taunting %t!",
		tauntresist = "Taunt on %t failed!",
		taunttgl = true,
		tauntresisttgl = false,
		tauntchance = 1,
		devastate = "Devastate!",
		devastatetgl = true,
		devastatecrit = true,
		devastatechance = 1,
		bladestorm = "Bladestorm!",
		bladestormtgl = true,
		bladestormchance = 1,
		shockwave = "Shockwave!",
		shockwavetgl = true,
		shockwavechance = 1,
		heroicleap = "Heroic Leap!",
		heroicleaptgl = true,
		heroicleapchance = 1,
		colossussmash = "Colossus Smash!",
		colossussmashtgl = true,
		colossussmashcrit = true,
		colossussmashchance = 1,
		fire = "Fire!",		-- Mage Spells
		fireballtgl = false,
		fireballcasttgl = false,
		fireblasttgl = false,
		pyroblasttgl = false,
		pyroblastcasttgl = false,
		scorchtgl = false,
		scorchcasttgl = false,
		dragonsbreathtgl = false,
		firecrit = true,
		firechance = 1,
		firecastchance = 0.25,
		frost = "Frost!",
		frostbolttgl = false,
		frostboltcasttgl = false,
		coneofcoldtgl = false,
		frostcrit = true,
		frostchance = 1,
		frostcastchance = 0.25,
		polymorph = "Polymorphing %t",
		polymorphtgl = false,
		polymorphchance = 1,
		blink = "Blink!",
		blinktgl = true,
		blinkchance = 1,
		arcanebarrage = "Arcane Barrage!",
		arcanebarragetgl = true,
		arcanebarragechance = 1,
		livingbomb = "Living Bomb!",
		livingbombtgl = true,
		livingbombchance = 0.25,
		deepfreeze = "I will blanket Azeroth in endless winter!",
		deepfreezetgl = true,
		deepfreezechance = 1,
		ding = "Ding!",		-- General Spells
		dingtgl = false,
		interrupt = "Interrupt!",
		interrupttgl = true,
		interruptchance = 1,
		cannibalize = "BRAINS!",
		cannibalizetgl = true,
		cannibalizechance = 1,
		bgtgl = true,
		instancetgl = true,
		stormstrike = "Stormstrike!",	-- Shaman Spells
		stormstriketgl = true,
		stormstrikechance = 1,
		lightningbolt = "Lightning Bolt!",
		lightningbolttgl = false,
		lightningboltcrit = true,
		lightningboltchance = 1,
		lightningboltcast = "Casting Lightning Bolt!",
		lightningboltcasttgl = true,
		lightningboltcastchance = 0.25,
		earthshock = "Earth Shock!",
		earthshocktgl = true,
		earthshockcrit = true,
		earthshockchance = 1,
		flameshock = "Flame Shock!",
		flameshocktgl = true,
		flameshockcrit = true,
		flameshockchance = 1,
		purge = "Purge!",
		purgetgl = true,
		purgechance = 1,
		frostshock = "Frost Shock!",
		frostshocktgl = true,
		frostshockcrit = true,
		frostshockchance = 1,
		chainlightning = "Chain Lightning!",
		chainlightningtgl = true,
		chainlightningcrit = true,
		chainlightningchance = 1,
		bloodlust = "Bloodlust!",	-- Heroism for alliance
		bloodlusttgl = true,
		bloodlustchance = 1,
		thunderstorm = "Thunderstorm!",
		thunderstormtgl = true,
		thunderstormchance = 1,
		feralspirit = "Feral Spirit!",
		feralspirittgl = true,
		feralspiritchance = 1,
		riptide = "Riptide!",
		riptidetgl = true,
		riptidechance = 1,
		arcaneshot = "Arcane Shot!",	-- Hunter Spells
		arcaneshottgl = true,
		arcaneshotcrit = true,
		arcaneshotchance = 1,
		chimerashot = "Chimera Shot!",
		chimerashottgl = true,
		chimerashotcrit = true,
		chimerashotchance = 1,
		explosiveshot = "Explosive Shot!",
		explosiveshottgl = true,
		explosiveshotcrit = true,
		explosiveshotchance = 1,
		curseofshadow = "Curse of Shadow!",	--Warlock Spells
		curseofshadowtgl = true,
		curseofshadowchance = 1,
		shadowbolt = "Shadow Bolt!",	-- Castable.
		shadowbolttgl = false,
		shadowboltcrit = true,
		shadowboltchance = 1,
		shadowboltcast = "Casting Shadow Bolt!",
		shadowboltcasttgl = true,
		shadowboltcastchance = 1,
		corruption = "Corruption!",	-- Castable if talented.
		corruptiontgl = true,
		corruptionchance = 1,
		immolate = "Immolate!",	-- Castable.
		immolatetgl = false,
		immolatecrit = true,
		immolatechance = 1,
		immolatecast = "Casting Immolate!",
		immolatecasttgl = true,
		immolatecastchance = 1,
		shadowburn = "Shadowburn!",
		shadowburntgl = true,
		shadowburncrit = true,
		shadowburnchance = 1,
		deathcoil = "Death Coil!",
		deathcoiltgl = true,
		deathcoilcrit = false,
		deathcoilchance = 1,
		howlofterror = "Howl of Terror!",	-- Castable.
		howlofterrortgl = true,
		howlofterrorchance = 1,
		curseofagony = "Curse of Agony!",
		curseofagonytgl = true,
		curseofagonychance = 1,
		lifetap = "Life Tap!",
		lifetaptgl = true,
		lifetapchance = 1,
		hellfire = "Hellfire!",	-- Channeled.
		hellfiretgl = true,
		hellfirechance = 1,
		incinerate = "Incinerate!",	-- Castable.
		incineratetgl = true,
		incineratecrit = true,
		incineratechance = 1,
		incineratecast = "Casting Incinerate!",
		incineratecasttgl = true,
		incineratecastchance = 1,
		curseofweakness = "Curse of Weakness!",
		curseofweaknesstgl = true,
		curseofweaknesschance = 1,
		curseofrecklessness = "Curse of Recklessness!",
		curseofrecklessnesstgl = true,
		curseofrecklessnesschance = 1,
		curseoftongues = "Curse of Tongues!",
		curseoftonguestgl = true,
		curseoftongueschance = 1,
		curseofdoom = "Curse of Doom!",
		curseofdoomtgl = true,
		curseofdoomchance = 1,
		seedofcorruption = "Seed of Corruption!",	-- Castable.
		seedofcorruptiontgl = true,
		seedofcorruptionchance = 1,
		banish = "Banishing %t!",	-- Castable.
		banishtgl = true,
		banishchance = 1,
		fear = "Fearing %t!",	-- Castable.
		feartgl = true,
		fearchance = 1,
		unstableaffliction = "Unstable Affliction!",
		unstableafflictiontgl = true,
		unstableafflictionchance = 1,
		siphonlife = "Siphon Life!",
		siphonlifetgl = true,
		siphonlifechance = 1,
		dreadsteed = "Summoning Dreadsteed!",
		dreadsteedtgl = true,
		dreadsteedchance = 1,
		haunt = "Haunt!",
		haunttgl = true,
		hauntcrit = true,
		hauntchance = 1,
		metamorphosis = "Metamorphosis!",
		metamorphosistgl = true,
		metamorphosischance = 1,
		chaosbolt = "Chaos Bolt!",	-- Castable.
		chaosbolttgl = false,
		chaosboltcrit = true,
		chaosboltchance = 1,
		chaosboltcast = "Casting Chaos Bolt!",
		chaosboltcasttgl = true,
		chaosboltcastchance = 1,
		shadowflame = "Shadowflame!",
		shadowflameburptgl = true,
		shadowflamechance = 1,
		summonfelhunter = "Summoning Felhunter!",
		summonfelhuntertgl = true,
		summonfelhunterchance = 1,
		summonimp = "Summoning Imp!",
		summonimptgl = true,
		summonimpchance = 1,
		summonsuccubus = "Summoning Succubus!",
		summonsuccubustgl = true,
		summonsuccubuschance = 1,
		summonvoidwalker = "Summoning Voidwalker!",
		summonvoidwalkertgl = true,
		summonvoidwalkerchance = 1,
		summonfelguard = "Summoning Felguard!",
		summonfelguardtgl = true,
		summonfelguardchance = 1,
		soulstone = "Soulstoning %t.",
		soulstonetgl = true,
		soulstonechance = 1,
		sinisterstrike = "Sinister Strike!",	-- Rogue Spells
		sinisterstriketgl = true,
		sinisterstrikecrit = true,
		sinisterstrikechance = 1,
		hemorrhage = "Hemorrhage!",
		hemorrhagetgl = true,
		hemorrhagecrit = true,
		hemorrhagechance = 1,
		eviscerate = "Eviscerate!",
		evisceratetgl = true,
		evisceratecrit = true,
		evisceratechance = 1,
		rupture = "Rupture!",
		rupturetgl = true,
		rupturechance = 1,
		sliceanddice = "Slice and Dice!",
		sliceanddicetgl = true,
		sliceanddicechance = 1,
		deadlythrow = "Deadly Throw!",
		deadlythrowtgl = true,
		deadlythrowcrit = true,
		deadlythrowchance = 1,
		kidneyshot = "Kidney Shot!",
		kidneyshottgl = true,
		kidneyshotchance = 1,
		backstab = "Backstab!",
		backstabtgl = true,
		backstabcrit = true,
		backstabchance = 1,
		gouge = "Gouge!",
		gougetgl = true,
		gougechance = 1,
		shiv = "Shiv!",
		shivtgl = true,
		shivchance = 1,
		blind = "Blind!",
		blindtgl = true,
		blindchance = 1,
		feint = "Feignt!",
		feinttgl = true,
		feintchance = 1,
		shadowstep = "Shadowstep!",
		shadowsteptgl = true,
		shadowstepchance = 1,
		cloakofshadows = "Cloak of Shadows!",	-- PvP
		cloakofshadowstgl = true,
		cloakofshadowspvp = false,
		cloakofshadowschance = 1,
		vanish = "Ninja Vanish!",		-- PvP
		vanishtgl = true,
		vanishpvp = false,
		vanishchance = 1,
		garrote = "Garrote!",
		garrotetgl = true,
		garrotechance = 1,
		cheapshot = "Cheap Shot!",
		cheapshottgl = true,
		cheapshotchance = 1,
		ambush = "Ambush!",
		ambushtgl = true,
		ambushcrit = true,
		ambushchance = 1,
		mutilate = "Mutilate!",
		mutilatetgl = true,
		mutilatecrit = true,
		mutilatechance = 1,
		envenom = "Envenom!",
		envenomtgl = true,
		envenomcrit = true,
		envenomchance = 1,
		bladeflurry = "Blade Flurry!",
		bladeflurrytgl = true,
		bladeflurrychance = 1,
		hungerforblood = "Hunger for Blood!",
		hungerforbloodtgl = true,
		hungerforbloodchance = 1,
		killingspree = "Killing Spree!",
		killingspreetgl = true,
		killingspreechance = 1,
		shadowdance = "Shadow Dance!",
		shadowdancetgl = true,
		shadowdancechance = 1,
		consecration = "For great justice!",	-- Paladin Spells
		consecrationtgl = true,
		consecrationchance = 0.25,
		judgementofrighteousness = "Judgement of Righteousness!",
		judgementofrighteousnesstgl = true,
		judgementofrighteousnesscrit = true,
		judgementofrighteousnesschance = 0.25,
		crusaderstrike = "Crusader Strike!",
		crusaderstriketgl = true,
		crusaderstrikecrit = true,
		crusaderstrikechance = 0.25,
		beaconoflight = "Bacon of Light OM NOM NOM HEALZ",
		beaconoflighttgl = true,
		beaconoflightchance = 0.25,
		hammeroftherighteous = "Hammer of the Righteous!",
		hammeroftherighteoustgl = true,
		hammeroftherighteouschance = 0.25,
		divinestorm = "Divine Storm!",
		divinestormtgl = true,
		divinestormchance = 0.25,
		summoncharger = "Summoning Charger!",
		summonchargertgl = true,
		summonchargerchance = 1,
		starfall = "Starfall!",			-- Druid Spells
		starfalltgl = true,
		starfallchance = 1,
		berserk = "Berserk!",
		berserktgl = true,
		berserkchance = 1,
		wildgrowth = "Wild Growth!",
		wildgrowthtgl = true,
		wildgrowthchance = 1,
		penance = "Penance!",			-- Priest Spells
		penancetgl = true,
		penancechance = 1,
		guardianspirit = "Guardian Spirit!",
		guardianspirittgl = true,
		guardianspiritchance = 1,
		dispersion = "Dispersion!",
		dispersiontgl = true,
		dispersionchance = 1,
		acherusdeathcharger = "Summoning Acherus Deathcharger!",	-- Death Knight Spells
		acherusdeathchargertgl = true,
		acherusdeathchargerchance = 1,
		deathgrip = "Deathgrip!",
		deathgriptgl = true,
		deathgripchance = 1,
		dndeathcoil = "Death Coil!",
		dndeathcoiltgl = true,
		dndeathcoilcrit = true,
		dndeathcoilchance = 1,
		crusaderproc = "Holy Strength!",
		crusaderproctgl = false,
		crusaderprocchance = 1,
	}
}

function pootpoot:SetupDefaults()
	self.db = LibStub("AceDB-3.0"):New("pootpootDB", defaults, "Default")
end